Search found 6 matches

by arcticfox
Wed Oct 05, 2011 7:56 pm
Forum: GC-Linux
Topic: Using a Kernel newer than 2.6.32
Replies: 6
Views: 5413

Re: Using a Kernel newer than 2.6.32

Yes it booted. I hacked in the framebuffer driver from 2.6.32. But it didnt get further. It's sad... But, if you dont need specific features of the newer kernels, i think, 2.6.32 is not a such bad variant. I hope you have bba, becuase, it will come very handy when you will make friendship between k...
by arcticfox
Wed Oct 05, 2011 5:04 pm
Forum: GC-Linux
Topic: Using a Kernel newer than 2.6.32
Replies: 6
Views: 5413

Re: Using a Kernel newer than 2.6.32

Last update Sad news... But according to gc-linux.org, not all features/drivers currently implemented into mainline kernels: "Note though that most driver support is still missing in mainline" So, if you want to use most features, you still need to use 2.6.32 with mikep5 patch. So, today we tried b...
by arcticfox
Wed Oct 05, 2011 4:44 pm
Forum: GC-Linux
Topic: Setting up Gamecube Linux help
Replies: 19
Views: 10671

Re: Setting up Gamecube Linux help

sed -i "s/\[4-9\]|\[5-9\]/([4-9]|[1-9][0-9])|[5-9]/" configure if you do it like that, sed will tell you, that there is no such file ("configure") because you're entering an empty directory ("build-binutils") of course you meant the just tarred directory binutils-2.18/ ;) sure, will fix my post :)
by arcticfox
Wed Oct 05, 2011 10:39 am
Forum: GC-Linux
Topic: Setting up Gamecube Linux help
Replies: 19
Views: 10671

Re: Setting up Gamecube Linux help

Not really a package, but... I tried right now to build gc-linux kernel from scratch, and it was successfull - right now i see gc-linux kernel panic on my gc, because it cant find root (it's ok, because there is no any rootfs as of now) :) Btw, i compiled 2.6.32 kernel with mikep5 patch and not the ...
by arcticfox
Tue Oct 04, 2011 6:43 pm
Forum: GC-Linux
Topic: Setting up Gamecube Linux help
Replies: 19
Views: 10671

Re: Setting up Gamecube Linux help

(2.6.32 with mikep5 gc patch, newer kernels have gc support already ) you don't have to patch them anymore? wow! Right now, i take a look at vanilla 2.6.38 source (just have it on local storage) - yes, its true, seems that it have all you need to build it for gc. what crosscompiler are you using bt...
by arcticfox
Mon Oct 03, 2011 9:45 pm
Forum: GC-Linux
Topic: Setting up Gamecube Linux help
Replies: 19
Views: 10671

Re: Setting up Gamecube Linux help

Hi. I played with gc-linux about half a year ago. I have bba, so i build kernel (2.6.32 with mikep5 gc patch, newer kernels have gc support already) with nfs root support. I tried whiite-linux (debian-lenny adopted for Wii), debootstraped debian6.0 (you may debootstrap it on gc itself, or use qemu-l...